Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 642508 - media-video/vlc disable directfb
Summary: media-video/vlc disable directfb
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard: fixed in 3.0.0
Keywords:
Depends on: CVE-2017-10699, CVE-2017-9300, CVE-2017-9301 640398
Blocks: 606194
  Show dependency tree
 
Reported: 2017-12-28 11:59 UTC by Pacho Ramos
Modified: 2018-02-27 23:01 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2017-12-28 11:59:59 UTC
To allow us to finally remove dev-libs/DirectFB (bug 606194)
Comment 1 Andreas Sturmlechner gentoo-dev 2017-12-28 12:11:02 UTC
Upstream has dropped this already in 3.0 branch, supposedly released soon.
Comment 2 Larry the Git Cow gentoo-dev 2017-12-30 01:47:05 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2638326a27af21509db24056dd9b037c1f3ed7ed

commit 2638326a27af21509db24056dd9b037c1f3ed7ed
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2017-12-30 01:35:45 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2017-12-30 01:46:49 +0000

    media-video/vlc: Drop USE=directfb
    
    Bug: https://bugs.gentoo.org/642508
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 media-video/vlc/vlc-2.2.8-r1.ebuild | 5 ++---
 media-video/vlc/vlc-2.2.9999.ebuild | 5 ++---
 2 files changed, 4 insertions(+), 6 deletions(-)}
Comment 3 Andreas Sturmlechner gentoo-dev 2017-12-30 01:49:03 UTC
Let's accelerate this.
Comment 4 Andreas Sturmlechner gentoo-dev 2018-02-27 23:01:28 UTC
directfb support is gone now.